Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageForwardInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageForwardInfo

Enclosing class:
  TdApi

public static final class TdApi.MessageForwardInfo extends TdApi.Object
Contains information about a forwarded message.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`date`
Point in time (Unix timestamp) when the message was originally sent.
`TdApi.MessageOrigin`
`origin`
Origin of the forwarded message.
`String`
`publicServiceAnnouncementType`
The type of a public service announcement for the forwarded message.
`TdApi.ForwardSource`
`source`
For messages forwarded to the chat with the current user (Saved Messages), to the Replies bot chat, or to the channel's discussion group, information about the source message from which the message was forwarded last time; may be null for other forwards or if unknown.

## Constructor Summary

Constructors
Constructor
Description
`MessageForwardInfo()`
Contains information about a forwarded message.
`MessageForwardInfo(TdApi.MessageOrigin origin, int date, TdApi.ForwardSource source, String publicServiceAnnouncementType)`
Contains information about a forwarded message.
`MessageForwardInfo(DataInput input)`
Contains information about a forwarded message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### origin

public TdApi.MessageOrigin origin
Origin of the forwarded message.

### date

public int date
Point in time (Unix timestamp) when the message was originally sent.

### source

public TdApi.ForwardSource source
For messages forwarded to the chat with the current user (Saved Messages), to the Replies bot chat, or to the channel's discussion group, information about the source message from which the message was forwarded last time; may be null for other forwards or if unknown.

### publicServiceAnnouncementType

public String publicServiceAnnouncementType
The type of a public service announcement for the forwarded message.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessageForwardInfo

public MessageForwardInfo()
Contains information about a forwarded message.

### MessageForwardInfo

public MessageForwardInfo(TdApi.MessageOrigin origin, int date, TdApi.ForwardSource source, String publicServiceAnnouncementType)
Contains information about a forwarded message.

Parameters:
  `origin` - Origin of the forwarded message.
  `date` - Point in time (Unix timestamp) when the message was originally sent.
  `source` - For messages forwarded to the chat with the current user (Saved Messages), to the Replies bot chat, or to the channel's discussion group, information about the source message from which the message was forwarded last time; may be null for other forwards or if unknown.
  `publicServiceAnnouncementType` - The type of a public service announcement for the forwarded message.

### MessageForwardInfo

public MessageForwardInfo(DataInput input) throws IOException
Contains information about a forwarded message.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`